/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50720
Source Host           : localhost:3306
Source Database       : sys

Target Server Type    : MYSQL
Target Server Version : 50720
File Encoding         : 65001

Date: 2018-04-09 19:29:48
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `msend_log`
-- ----------------------------
DROP TABLE IF EXISTS `msend_log`;
CREATE TABLE `msend_log` (
  `log_id` int(11) NOT NULL AUTO_INCREMENT,
  `app_id` int(11) NOT NULL COMMENT '应用编号',
  `log_datetime` datetime DEFAULT NULL COMMENT '时间',
  `log_content` varchar(1000) DEFAULT NULL COMMENT '接收内容',
  `log_receive` varchar(100) DEFAULT NULL COMMENT '接收人',
  `log_type` int(1) DEFAULT NULL COMMENT '日志类型0邮件1短信',
  PRIMARY KEY (`log_id`)
) ENGINE=InnoDB AUTO_INCREMENT=55 DEFAULT CHARSET=utf8 COMMENT='发送日志';

-- ----------------------------
-- Records of msend_log
-- ----------------------------

-- ----------------------------
-- Table structure for `msend_mail`
-- ----------------------------
DROP TABLE IF EXISTS `msend_mail`;
CREATE TABLE `msend_mail` (
  `app_id` int(11) NOT NULL DEFAULT '0' COMMENT '应用编号',
  `mail_type` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '邮件类型',
  `mail_name` varchar(255) COLLATE utf8_bin NOT NULL COMMENT '账号',
  `mail_password` varchar(255) COLLATE utf8_bin NOT NULL,
  `mail_port` int(11) DEFAULT NULL COMMENT '端口号',
  `mail_server` varchar(255) COLLATE utf8_bin DEFAULT NULL COMMENT '服务器',
  `mail_form` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `mail_form_name` varchar(255) COLLATE utf8_bin DEFAULT NULL,
  `mail_enable` int(11) DEFAULT '0' COMMENT '0启用 1禁用',
  PRIMARY KEY (`app_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- ----------------------------
-- Records of msend_mail
-- ----------------------------

-- ----------------------------
-- Table structure for `msend_sms`
-- ----------------------------
DROP TABLE IF EXISTS `msend_sms`;
CREATE TABLE `msend_sms` (
  `app_id` int(11) NOT NULL COMMENT '应用编号',
  `sms_type` varchar(150) COLLATE utf8_bin DEFAULT NULL COMMENT '短信接口类型',
  `sms_username` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '账号',
  `sms_password` varchar(60) COLLATE utf8_bin DEFAULT NULL COMMENT '密码',
  `sms_send_url` varchar(500) COLLATE utf8_bin DEFAULT NULL COMMENT '发送地址',
  `sms_account_url` varchar(500) COLLATE utf8_bin DEFAULT NULL,
  `sms_manager_url` varchar(120) COLLATE utf8_bin DEFAULT NULL COMMENT '短信平台后台管理地址',
  `sms_signature` varchar(20) COLLATE utf8_bin DEFAULT NULL COMMENT '签名',
  `sms_enable` int(11) DEFAULT '0' COMMENT '0启用 1禁用',
  PRIMARY KEY (`app_id`) USING BTREE,
  CONSTRAINT `msend_sms_ibfk_1` FOREIGN KEY (`app_id`) REFERENCES `app` (`app_id`) ON DELETE CASCADE ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=COMPACT;

-- ----------------------------
-- Records of msend_sms
-- ----------------------------

-- ----------------------------
-- Table structure for `msend_template`
-- ----------------------------
DROP TABLE IF EXISTS `msend_template`;
CREATE TABLE `msend_template` (
  `template_id` int(11) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `model_id` int(11) DEFAULT '0' COMMENT '模块编号',
  `app_id` int(11) NOT NULL DEFAULT '0' COMMENT '应用编号',
  `template_title` varchar(100) COLLATE utf8_bin NOT NULL COMMENT '标题',
  `template_mail` varchar(5000) COLLATE utf8_bin DEFAULT NULL,
  `template_sms` varchar(5000) COLLATE utf8_bin DEFAULT NULL,
  `template_code` varchar(50) COLLATE utf8_bin NOT NULL COMMENT '邮件模块代码',
  PRIMARY KEY (`template_id`) USING BTREE,
  KEY `mt_appID` (`app_id`) USING BTREE
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8 COLLATE=utf8_bin ROW_FORMAT=DYNAMIC COMMENT='发送消息模板表';

-- ----------------------------
-- Records of msend_template
-- ----------------------------
